Changeset 724


Ignore:
Timestamp:
May 10, 2007 7:53:32 PM (14 years ago)
Author:
mmc
Message:

Fixed the bugreport component to automatically register all "Oops!"
errors with the ticketing system on the hosting hub. When the
RAPPTURE_VERSION environment variable is set to "current", the
dialog automatically registers errors. Otherwise, it pops up a
dialog showing the error to the developer. It also registers errors
that come from launching jobs ("Problem launching job" messages).

Fixed the Makefile to install all scripts/*.tcl files, so we don't
have to modify configure each time a file is added.

Location:
trunk/gui
Files:
9 added
8 edited

Legend:

Unmodified
Added
Removed
  • trunk/gui/Makefile.in

    r681 r724  
    4949#========================================================================
    5050
    51 PKG_TCL_SOURCES = @PKG_TCL_SOURCES@
     51PKG_TCL_SOURCES = `ls scripts/*.tcl`
    5252
    5353#========================================================================
     
    385385        done
    386386        @mkdir -p $(DESTDIR)$(pkglibdir)/scripts
    387         @list='$(PKG_TCL_SOURCES)'; for p in $$list; do \
     387        @for p in $(PKG_TCL_SOURCES); do \
    388388          if test -f $(srcdir)/$$p; then \
    389389            destp=`basename $$p`; \
  • trunk/gui/configure

    r702 r724  
    725725EXACT_VERSION
    726726NODOT_VERSION
     727subdirs
    727728LTLIBOBJS'
    728729ac_subst_files=''
     
    736737CPPFLAGS
    737738CPP'
    738 
     739ac_subdirs_all='vizservers '
    739740
    740741# Initialize some variables set by options.
     
    66556656    done
    66566657
    6657 
    6658 
    6659 
    6660     vars="scripts/analyzer.tcl scripts/animover.tcl"
    6661     for i in $vars; do
    6662         # check for existence, be strict because it is installed
    6663         if test ! -f "${srcdir}/$i" ; then
    6664             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6665 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6666    { (exit 1); exit 1; }; }
    6667         fi
    6668         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6669     done
    6670 
    6671 
    6672 
    6673     vars="scripts/balloon.tcl scripts/booleanentry.tcl"
    6674     for i in $vars; do
    6675         # check for existence, be strict because it is installed
    6676         if test ! -f "${srcdir}/$i" ; then
    6677             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6678 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6679    { (exit 1); exit 1; }; }
    6680         fi
    6681         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6682     done
    6683 
    6684 
    6685 
    6686     vars="scripts/bugreport.tcl scripts/choiceentry.tcl"
    6687     for i in $vars; do
    6688         # check for existence, be strict because it is installed
    6689         if test ! -f "${srcdir}/$i" ; then
    6690             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6691 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6692    { (exit 1); exit 1; }; }
    6693         fi
    6694         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6695     done
    6696 
    6697 
    6698 
    6699     vars="scripts/cloud.tcl scripts/color.tcl"
    6700     for i in $vars; do
    6701         # check for existence, be strict because it is installed
    6702         if test ! -f "${srcdir}/$i" ; then
    6703             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6704 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6705    { (exit 1); exit 1; }; }
    6706         fi
    6707         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6708     done
    6709 
    6710 
    6711 
    6712     vars="scripts/combobox.tcl scripts/contourresult.tcl"
    6713     for i in $vars; do
    6714         # check for existence, be strict because it is installed
    6715         if test ! -f "${srcdir}/$i" ; then
    6716             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6717 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6718    { (exit 1); exit 1; }; }
    6719         fi
    6720         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6721     done
    6722 
    6723 
    6724 
    6725     vars="scripts/controlOwner.tcl scripts/controls.tcl"
    6726     for i in $vars; do
    6727         # check for existence, be strict because it is installed
    6728         if test ! -f "${srcdir}/$i" ; then
    6729             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6730 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6731    { (exit 1); exit 1; }; }
    6732         fi
    6733         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6734     done
    6735 
    6736 
    6737 
    6738     vars="scripts/curve.tcl scripts/deviceEditor.tcl"
    6739     for i in $vars; do
    6740         # check for existence, be strict because it is installed
    6741         if test ! -f "${srcdir}/$i" ; then
    6742             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6743 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6744    { (exit 1); exit 1; }; }
    6745         fi
    6746         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6747     done
    6748 
    6749 
    6750 
    6751     vars="scripts/deviceLayout1D.tcl scripts/deviceViewer1D.tcl"
    6752     for i in $vars; do
    6753         # check for existence, be strict because it is installed
    6754         if test ! -f "${srcdir}/$i" ; then
    6755             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6756 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6757    { (exit 1); exit 1; }; }
    6758         fi
    6759         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6760     done
    6761 
    6762 
    6763 
    6764     vars="scripts/deviceresult.tcl scripts/dispatcher.tcl"
    6765     for i in $vars; do
    6766         # check for existence, be strict because it is installed
    6767         if test ! -f "${srcdir}/$i" ; then
    6768             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6769 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6770    { (exit 1); exit 1; }; }
    6771         fi
    6772         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6773     done
    6774 
    6775 
    6776 
    6777     vars="scripts/dropdown.tcl scripts/dropdownlist.tcl"
    6778     for i in $vars; do
    6779         # check for existence, be strict because it is installed
    6780         if test ! -f "${srcdir}/$i" ; then
    6781             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6782 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6783    { (exit 1); exit 1; }; }
    6784         fi
    6785         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6786     done
    6787 
    6788 
    6789 
    6790     vars="scripts/editor.tcl scripts/energyLevels.tcl"
    6791     for i in $vars; do
    6792         # check for existence, be strict because it is installed
    6793         if test ! -f "${srcdir}/$i" ; then
    6794             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6795 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6796    { (exit 1); exit 1; }; }
    6797         fi
    6798         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6799     done
    6800 
    6801 
    6802 
    6803     vars="scripts/field.tcl scripts/field3dresult.tcl"
    6804     for i in $vars; do
    6805         # check for existence, be strict because it is installed
    6806         if test ! -f "${srcdir}/$i" ; then
    6807             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6808 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6809    { (exit 1); exit 1; }; }
    6810         fi
    6811         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6812     done
    6813 
    6814 
    6815 
    6816     vars="scripts/filexfer.tcl scripts/gauge.tcl"
    6817     for i in $vars; do
    6818         # check for existence, be strict because it is installed
    6819         if test ! -f "${srcdir}/$i" ; then
    6820             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6821 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6822    { (exit 1); exit 1; }; }
    6823         fi
    6824         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6825     done
    6826 
    6827 
    6828 
    6829     vars="scripts/getopts.tcl scripts/grab.tcl"
    6830     for i in $vars; do
    6831         # check for existence, be strict because it is installed
    6832         if test ! -f "${srcdir}/$i" ; then
    6833             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6834 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6835    { (exit 1); exit 1; }; }
    6836         fi
    6837         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6838     done
    6839 
    6840 
    6841 
    6842     vars="scripts/groupentry.tcl scripts/icons.tcl"
    6843     for i in $vars; do
    6844         # check for existence, be strict because it is installed
    6845         if test ! -f "${srcdir}/$i" ; then
    6846             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6847 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6848    { (exit 1); exit 1; }; }
    6849         fi
    6850         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6851     done
    6852 
    6853 
    6854 
    6855     vars="scripts/image.tcl scripts/imageentry.tcl"
    6856     for i in $vars; do
    6857         # check for existence, be strict because it is installed
    6858         if test ! -f "${srcdir}/$i" ; then
    6859             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6860 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6861    { (exit 1); exit 1; }; }
    6862         fi
    6863         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6864     done
    6865 
    6866 
    6867 
    6868     vars="scripts/imageresult.tcl"
    6869     for i in $vars; do
    6870         # check for existence, be strict because it is installed
    6871         if test ! -f "${srcdir}/$i" ; then
    6872             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6873 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6874    { (exit 1); exit 1; }; }
    6875         fi
    6876         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6877     done
    6878 
    6879 
    6880 
    6881     vars="scripts/integerentry.tcl scripts/loader.tcl"
    6882     for i in $vars; do
    6883         # check for existence, be strict because it is installed
    6884         if test ! -f "${srcdir}/$i" ; then
    6885             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6886 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6887    { (exit 1); exit 1; }; }
    6888         fi
    6889         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6890     done
    6891 
    6892 
    6893 
    6894     vars="scripts/mainwin.tcl scripts/mesh.tcl"
    6895     for i in $vars; do
    6896         # check for existence, be strict because it is installed
    6897         if test ! -f "${srcdir}/$i" ; then
    6898             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6899 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6900    { (exit 1); exit 1; }; }
    6901         fi
    6902         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6903     done
    6904 
    6905 
    6906 
    6907     vars="scripts/molvisviewer.tcl"
    6908     for i in $vars; do
    6909         # check for existence, be strict because it is installed
    6910         if test ! -f "${srcdir}/$i" ; then
    6911             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6912 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6913    { (exit 1); exit 1; }; }
    6914         fi
    6915         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6916     done
    6917 
    6918 
    6919 
    6920     vars="scripts/meshresult.tcl scripts/moleculeViewer.tcl"
    6921     for i in $vars; do
    6922         # check for existence, be strict because it is installed
    6923         if test ! -f "${srcdir}/$i" ; then
    6924             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6925 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6926    { (exit 1); exit 1; }; }
    6927         fi
    6928         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6929     done
    6930 
    6931 
    6932 
    6933     vars="scripts/nanovisviewer.tcl scripts/notebook.tcl"
    6934     for i in $vars; do
    6935         # check for existence, be strict because it is installed
    6936         if test ! -f "${srcdir}/$i" ; then
    6937             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6938 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6939    { (exit 1); exit 1; }; }
    6940         fi
    6941         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6942     done
    6943 
    6944 
    6945 
    6946     vars="scripts/numberentry.tcl scripts/page.tcl"
    6947     for i in $vars; do
    6948         # check for existence, be strict because it is installed
    6949         if test ! -f "${srcdir}/$i" ; then
    6950             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6951 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6952    { (exit 1); exit 1; }; }
    6953         fi
    6954         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6955     done
    6956 
    6957 
    6958 
    6959     vars="scripts/pager.tcl scripts/panes.tcl"
    6960     for i in $vars; do
    6961         # check for existence, be strict because it is installed
    6962         if test ! -f "${srcdir}/$i" ; then
    6963             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6964 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6965    { (exit 1); exit 1; }; }
    6966         fi
    6967         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6968     done
    6969 
    6970 
    6971 
    6972     vars="scripts/postern.tcl scripts/progress.tcl"
    6973     for i in $vars; do
    6974         # check for existence, be strict because it is installed
    6975         if test ! -f "${srcdir}/$i" ; then
    6976             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6977 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6978    { (exit 1); exit 1; }; }
    6979         fi
    6980         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6981     done
    6982 
    6983 
    6984 
    6985     vars="scripts/radiodial.tcl scripts/resources.tcl"
    6986     for i in $vars; do
    6987         # check for existence, be strict because it is installed
    6988         if test ! -f "${srcdir}/$i" ; then
    6989             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    6990 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    6991    { (exit 1); exit 1; }; }
    6992         fi
    6993         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    6994     done
    6995 
    6996 
    6997 
    6998     vars="scripts/resultset.tcl scripts/resultviewer.tcl"
    6999     for i in $vars; do
    7000         # check for existence, be strict because it is installed
    7001         if test ! -f "${srcdir}/$i" ; then
    7002             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7003 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7004    { (exit 1); exit 1; }; }
    7005         fi
    7006         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7007     done
    7008 
    7009 
    7010 
    7011     vars="scripts/scroller.tcl scripts/sequence.tcl"
    7012     for i in $vars; do
    7013         # check for existence, be strict because it is installed
    7014         if test ! -f "${srcdir}/$i" ; then
    7015             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7016 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7017    { (exit 1); exit 1; }; }
    7018         fi
    7019         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7020     done
    7021 
    7022 
    7023 
    7024     vars="scripts/sequenceresult.tcl scripts/service.tcl"
    7025     for i in $vars; do
    7026         # check for existence, be strict because it is installed
    7027         if test ! -f "${srcdir}/$i" ; then
    7028             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7029 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7030    { (exit 1); exit 1; }; }
    7031         fi
    7032         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7033     done
    7034 
    7035 
    7036 
    7037     vars="scripts/spectrum.tcl scripts/spinint.tcl"
    7038     for i in $vars; do
    7039         # check for existence, be strict because it is installed
    7040         if test ! -f "${srcdir}/$i" ; then
    7041             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7042 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7043    { (exit 1); exit 1; }; }
    7044         fi
    7045         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7046     done
    7047 
    7048 
    7049 
    7050     vars="scripts/switch.tcl scripts/table.tcl"
    7051     for i in $vars; do
    7052         # check for existence, be strict because it is installed
    7053         if test ! -f "${srcdir}/$i" ; then
    7054             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7055 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7056    { (exit 1); exit 1; }; }
    7057         fi
    7058         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7059     done
    7060 
    7061 
    7062 
    7063     vars="scripts/tempgauge.tcl scripts/textentry.tcl"
    7064     for i in $vars; do
    7065         # check for existence, be strict because it is installed
    7066         if test ! -f "${srcdir}/$i" ; then
    7067             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7068 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7069    { (exit 1); exit 1; }; }
    7070         fi
    7071         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7072     done
    7073 
    7074 
    7075 
    7076     vars="scripts/textresult.tcl scripts/tool.tcl"
    7077     for i in $vars; do
    7078         # check for existence, be strict because it is installed
    7079         if test ! -f "${srcdir}/$i" ; then
    7080             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7081 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7082    { (exit 1); exit 1; }; }
    7083         fi
    7084         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7085     done
    7086 
    7087 
    7088 
    7089     vars="scripts/tooltip.tcl scripts/tuples.tcl"
    7090     for i in $vars; do
    7091         # check for existence, be strict because it is installed
    7092         if test ! -f "${srcdir}/$i" ; then
    7093             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7094 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7095    { (exit 1); exit 1; }; }
    7096         fi
    7097         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7098     done
    7099 
    7100 
    7101 
    7102     vars="scripts/units.tcl scripts/valueresult.tcl"
    7103     for i in $vars; do
    7104         # check for existence, be strict because it is installed
    7105         if test ! -f "${srcdir}/$i" ; then
    7106             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7107 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7108    { (exit 1); exit 1; }; }
    7109         fi
    7110         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7111     done
    7112 
    7113 
    7114 
    7115     vars="scripts/xyresult.tcl"
    7116     for i in $vars; do
    7117         # check for existence, be strict because it is installed
    7118         if test ! -f "${srcdir}/$i" ; then
    7119             { { echo "$as_me:$LINENO: error: could not find tcl source file '${srcdir}/$i'" >&5
    7120 echo "$as_me: error: could not find tcl source file '${srcdir}/$i'" >&2;}
    7121    { (exit 1); exit 1; }; }
    7122         fi
    7123         PKG_TCL_SOURCES="$PKG_TCL_SOURCES $i"
    7124     done
    71256658
    71266659
     
    1075410287# which require substituting th AC variables in.  Include these here.
    1075510288#--------------------------------------------------------------------
     10289
     10290subdirs="$subdirs vizservers"
    1075610291
    1075710292ac_config_files="$ac_config_files Makefile pkgIndex.tcl init.tcl"
     
    1154111076EXACT_VERSION!$EXACT_VERSION$ac_delim
    1154211077NODOT_VERSION!$NODOT_VERSION$ac_delim
     11078subdirs!$subdirs$ac_delim
    1154311079LTLIBOBJS!$LTLIBOBJS$ac_delim
    1154411080_ACEOF
    1154511081
    11546   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 16; then
     11082  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 17; then
    1154711083    break
    1154811084  elif $ac_last_try; then
     
    1187611412fi
    1187711413
     11414#
     11415# CONFIG_SUBDIRS section.
     11416#
     11417if test "$no_recursion" != yes; then
     11418
     11419  # Remove --cache-file and --srcdir arguments so they do not pile up.
     11420  ac_sub_configure_args=
     11421  ac_prev=
     11422  eval "set x $ac_configure_args"
     11423  shift
     11424  for ac_arg
     11425  do
     11426    if test -n "$ac_prev"; then
     11427      ac_prev=
     11428      continue
     11429    fi
     11430    case $ac_arg in
     11431    -cache-file | --cache-file | --cache-fil | --cache-fi \
     11432    | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
     11433      ac_prev=cache_file ;;
     11434    -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
     11435    | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* \
     11436    | --c=*)
     11437      ;;
     11438    --config-cache | -C)
     11439      ;;
     11440    -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
     11441      ac_prev=srcdir ;;
     11442    -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
     11443      ;;
     11444    -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
     11445      ac_prev=prefix ;;
     11446    -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
     11447      ;;
     11448    *)
     11449      case $ac_arg in
     11450      *\'*) ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
     11451      esac
     11452      ac_sub_configure_args="$ac_sub_configure_args '$ac_arg'" ;;
     11453    esac
     11454  done
     11455
     11456  # Always prepend --prefix to ensure using the same prefix
     11457  # in subdir configurations.
     11458  ac_arg="--prefix=$prefix"
     11459  case $ac_arg in
     11460  *\'*) ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
     11461  esac
     11462  ac_sub_configure_args="'$ac_arg' $ac_sub_configure_args"
     11463
     11464  # Pass --silent
     11465  if test "$silent" = yes; then
     11466    ac_sub_configure_args="--silent $ac_sub_configure_args"
     11467  fi
     11468
     11469  ac_popdir=`pwd`
     11470  for ac_dir in : $subdirs; do test "x$ac_dir" = x: && continue
     11471
     11472    # Do not complain, so a configure script can configure whichever
     11473    # parts of a large source tree are present.
     11474    test -d "$srcdir/$ac_dir" || continue
     11475
     11476    ac_msg="=== configuring in $ac_dir (`pwd`/$ac_dir)"
     11477    echo "$as_me:$LINENO: $ac_msg" >&5
     11478    echo "$ac_msg" >&6
     11479    { as_dir="$ac_dir"
     11480  case $as_dir in #(
     11481  -*) as_dir=./$as_dir;;
     11482  esac
     11483  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
     11484    as_dirs=
     11485    while :; do
     11486      case $as_dir in #(
     11487      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
     11488      *) as_qdir=$as_dir;;
     11489      esac
     11490      as_dirs="'$as_qdir' $as_dirs"
     11491      as_dir=`$as_dirname -- "$as_dir" ||
     11492$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     11493         X"$as_dir" : 'X\(//\)[^/]' \| \
     11494         X"$as_dir" : 'X\(//\)$' \| \
     11495         X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
     11496echo X"$as_dir" |
     11497    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
     11498            s//\1/
     11499            q
     11500          }
     11501          /^X\(\/\/\)[^/].*/{
     11502            s//\1/
     11503            q
     11504          }
     11505          /^X\(\/\/\)$/{
     11506            s//\1/
     11507            q
     11508          }
     11509          /^X\(\/\).*/{
     11510            s//\1/
     11511            q
     11512          }
     11513          s/.*/./; q'`
     11514      test -d "$as_dir" && break
     11515    done
     11516    test -z "$as_dirs" || eval "mkdir $as_dirs"
     11517  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
     11518echo "$as_me: error: cannot create directory $as_dir" >&2;}
     11519   { (exit 1); exit 1; }; }; }
     11520    ac_builddir=.
     11521
     11522case "$ac_dir" in
     11523.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
     11524*)
     11525  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
     11526  # A ".." for each directory in $ac_dir_suffix.
     11527  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
     11528  case $ac_top_builddir_sub in
     11529  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
     11530  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
     11531  esac ;;
     11532esac
     11533ac_abs_top_builddir=$ac_pwd
     11534ac_abs_builddir=$ac_pwd$ac_dir_suffix
     11535# for backward compatibility:
     11536ac_top_builddir=$ac_top_build_prefix
     11537
     11538case $srcdir in
     11539  .)  # We are building in place.
     11540    ac_srcdir=.
     11541    ac_top_srcdir=$ac_top_builddir_sub
     11542    ac_abs_top_srcdir=$ac_pwd ;;
     11543  [\\/]* | ?:[\\/]* )  # Absolute name.
     11544    ac_srcdir=$srcdir$ac_dir_suffix;
     11545    ac_top_srcdir=$srcdir
     11546    ac_abs_top_srcdir=$srcdir ;;
     11547  *) # Relative name.
     11548    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
     11549    ac_top_srcdir=$ac_top_build_prefix$srcdir
     11550    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
     11551esac
     11552ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
     11553
     11554
     11555    cd "$ac_dir"
     11556
     11557    # Check for guested configure; otherwise get Cygnus style configure.
     11558    if test -f "$ac_srcdir/configure.gnu"; then
     11559      ac_sub_configure=$ac_srcdir/configure.gnu
     11560    elif test -f "$ac_srcdir/configure"; then
     11561      ac_sub_configure=$ac_srcdir/configure
     11562    elif test -f "$ac_srcdir/configure.in"; then
     11563      # This should be Cygnus configure.
     11564      ac_sub_configure=$ac_aux_dir/configure
     11565    else
     11566      { echo "$as_me:$LINENO: WARNING: no configuration information is in $ac_dir" >&5
     11567echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2;}
     11568      ac_sub_configure=
     11569    fi
     11570
     11571    # The recursion is here.
     11572    if test -n "$ac_sub_configure"; then
     11573      # Make the cache file name correct relative to the subdirectory.
     11574      case $cache_file in
     11575      [\\/]* | ?:[\\/]* ) ac_sub_cache_file=$cache_file ;;
     11576      *) # Relative name.
     11577        ac_sub_cache_file=$ac_top_build_prefix$cache_file ;;
     11578      esac
     11579
     11580      { echo "$as_me:$LINENO: running $SHELL $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&5
     11581echo "$as_me: running $SHELL $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&6;}
     11582      # The eval makes quoting arguments work.
     11583      eval "\$SHELL \"\$ac_sub_configure\" $ac_sub_configure_args \
     11584           --cache-file=\"\$ac_sub_cache_file\" --srcdir=\"\$ac_srcdir\"" ||
     11585        { { echo "$as_me:$LINENO: error: $ac_sub_configure failed for $ac_dir" >&5
     11586echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
     11587   { (exit 1); exit 1; }; }
     11588    fi
     11589
     11590    cd "$ac_popdir"
     11591  done
     11592fi
     11593
  • trunk/gui/configure.in

    r708 r724  
    8989TEA_ADD_CFLAGS([])
    9090TEA_ADD_STUB_SOURCES([])
    91 TEA_ADD_TCL_SOURCES([scripts/analyzer.tcl scripts/animover.tcl])
    92 TEA_ADD_TCL_SOURCES([scripts/balloon.tcl scripts/booleanentry.tcl])
    93 TEA_ADD_TCL_SOURCES([scripts/bugreport.tcl scripts/choiceentry.tcl])
    94 TEA_ADD_TCL_SOURCES([scripts/cloud.tcl scripts/color.tcl])
    95 TEA_ADD_TCL_SOURCES([scripts/combobox.tcl scripts/contourresult.tcl])
    96 TEA_ADD_TCL_SOURCES([scripts/controlOwner.tcl scripts/controls.tcl])
    97 TEA_ADD_TCL_SOURCES([scripts/curve.tcl scripts/deviceEditor.tcl])
    98 TEA_ADD_TCL_SOURCES([scripts/deviceLayout1D.tcl scripts/deviceViewer1D.tcl])
    99 TEA_ADD_TCL_SOURCES([scripts/deviceresult.tcl scripts/dispatcher.tcl])
    100 TEA_ADD_TCL_SOURCES([scripts/dropdown.tcl scripts/dropdownlist.tcl])
    101 TEA_ADD_TCL_SOURCES([scripts/editor.tcl scripts/energyLevels.tcl])
    102 TEA_ADD_TCL_SOURCES([scripts/field.tcl scripts/field3dresult.tcl])
    103 TEA_ADD_TCL_SOURCES([scripts/filexfer.tcl scripts/gauge.tcl])
    104 TEA_ADD_TCL_SOURCES([scripts/getopts.tcl scripts/grab.tcl])
    105 TEA_ADD_TCL_SOURCES([scripts/groupentry.tcl scripts/icons.tcl])
    106 TEA_ADD_TCL_SOURCES([scripts/image.tcl scripts/imageentry.tcl])
    107 TEA_ADD_TCL_SOURCES([scripts/imageresult.tcl])
    108 TEA_ADD_TCL_SOURCES([scripts/integerentry.tcl scripts/loader.tcl])
    109 TEA_ADD_TCL_SOURCES([scripts/mainwin.tcl scripts/mesh.tcl])
    110 TEA_ADD_TCL_SOURCES([scripts/molvisviewer.tcl])
    111 TEA_ADD_TCL_SOURCES([scripts/meshresult.tcl scripts/moleculeViewer.tcl])
    112 TEA_ADD_TCL_SOURCES([scripts/nanovisviewer.tcl scripts/notebook.tcl])
    113 TEA_ADD_TCL_SOURCES([scripts/numberentry.tcl scripts/page.tcl])
    114 TEA_ADD_TCL_SOURCES([scripts/pager.tcl scripts/panes.tcl])
    115 TEA_ADD_TCL_SOURCES([scripts/postern.tcl scripts/progress.tcl])
    116 TEA_ADD_TCL_SOURCES([scripts/radiodial.tcl scripts/resources.tcl])
    117 TEA_ADD_TCL_SOURCES([scripts/resultset.tcl scripts/resultviewer.tcl])
    118 TEA_ADD_TCL_SOURCES([scripts/scroller.tcl scripts/sequence.tcl])
    119 TEA_ADD_TCL_SOURCES([scripts/sequenceresult.tcl scripts/service.tcl])
    120 TEA_ADD_TCL_SOURCES([scripts/spectrum.tcl scripts/spinint.tcl])
    121 TEA_ADD_TCL_SOURCES([scripts/switch.tcl scripts/table.tcl])
    122 TEA_ADD_TCL_SOURCES([scripts/tempgauge.tcl scripts/textentry.tcl])
    123 TEA_ADD_TCL_SOURCES([scripts/textresult.tcl scripts/tool.tcl])
    124 TEA_ADD_TCL_SOURCES([scripts/tooltip.tcl scripts/tuples.tcl])
    125 TEA_ADD_TCL_SOURCES([scripts/units.tcl scripts/valueresult.tcl])
    126 TEA_ADD_TCL_SOURCES([scripts/xyresult.tcl])
    12791
    12892#--------------------------------------------------------------------
  • trunk/gui/scripts/analyzer.tcl

    r681 r724  
    391391        $itk_component(runinfo) configure -state disabled
    392392        $itk_component(runinfo) see 1.0
     393
     394        # Try to create a support ticket for this error.
     395        # It may be a real problem.
     396        Rappture::bugreport::register "Problem launching job:\n\n$result\n-----\n[$_tool xml xml]"
    393397    } else {
    394398        $itk_component(notebook) current analyze
  • trunk/gui/scripts/bugreport.tcl

    r676 r724  
    1111#  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
    1212# ======================================================================
    13 
    1413option add *BugReport*banner*foreground white startupFile
    1514option add *BugReport*banner*background #a9a9a9 startupFile
     
    1716option add *BugReport*banner*font \
    1817    -*-helvetica-bold-r-normal-*-18-* startupFile
     18option add *BugReport*Label.font \
     19    -*-helvetica-medium-r-normal-*-12-* startupFile
     20option add *BugReport*xmit*wrapLength 3i startupFile
     21option add *BugReport*expl.width 50 startupFile
    1922option add *BugReport*expl.font \
    2023    -*-helvetica-medium-r-normal-*-12-* startupFile
    21 option add *BugReport*expl.wrapLength 3i startupFile
     24option add *BugReport*expl.boldFont \
     25    -*-helvetica-bold-r-normal-*-12-* startupFile
    2226
    2327namespace eval Rappture::bugreport { # forward declaration }
     
    4246# ----------------------------------------------------------------------
    4347proc Rappture::bugreport::activate {err} {
    44     global errorInfo
     48    global env errorInfo
     49
     50    if {"@SHOWDETAILS" == $err} {
     51        pack forget .bugreport.xmit
     52        pack forget .bugreport.ok
     53        pack .bugreport.details -after .bugreport.banner \
     54            -expand yes -fill both -padx 8 -pady 8
     55        focus .bugreport.details.cntls.ok
     56        return
     57    }
     58
     59    # always fill in details so we can submit trouble reports later
     60    .bugreport.details.info.text configure -state normal
     61    .bugreport.details.info.text delete 1.0 end
     62    .bugreport.details.info.text insert end "$err\n-----\n$errorInfo"
     63    .bugreport.details.info.text configure -state disabled
     64
     65    if {[info exists env(RAPPTURE_VERSION)]
     66          && $env(RAPPTURE_VERSION) == "current"} {
     67        pack forget .bugreport.details
     68        pack forget .bugreport.expl
     69        pack .bugreport.ok -side bottom -after .bugreport.banner -pady {0 8}
     70        pack .bugreport.xmit -after .bugreport.ok -padx 8 -pady 8
     71        focus .bugreport.ok
     72        set dosubmit 1
     73    } else {
     74        pack forget .bugreport.expl
     75        pack forget .bugreport.xmit
     76        pack forget .bugreport.ok
     77        pack .bugreport.details -after .bugreport.banner \
     78            -expand yes -fill both -padx 8 -pady 8
     79        focus .bugreport.details.cntls.ok
     80        set dosubmit 0
     81    }
     82
     83    if {[Rappture::filexfer::enabled]} {
     84        .bugreport.details.cntls.dload configure -state normal
     85    } else {
     86        .bugreport.details.cntls.dload configure -state disabled
     87    }
    4588
    4689    set w [winfo reqwidth .bugreport]
     
    5396    raise .bugreport
    5497
    55     .bugreport.details.text configure -state normal
    56     .bugreport.details.text delete 1.0 end
    57     .bugreport.details.text insert end "$err\n-----\n$errorInfo"
    58     .bugreport.details.text configure -state disabled
    59     # should log the error someday too...
    60 
    6198    catch {grab set .bugreport}
     99    update
     100
     101    if {$dosubmit} {
     102        submit
     103    }
    62104}
    63105
     
    76118
    77119# ----------------------------------------------------------------------
    78 # USAGE: submit <stackTrace>
    79 #
    80 # Clients use this to send bug reports back to the hub site.  Errors
    81 # are posted to a URL that creates a support ticket.
    82 # ----------------------------------------------------------------------
    83 proc Rappture::bugreport::submit {stackTrace} {
    84     global tcl_platform
     120# USAGE: submit
     121#
     122# Takes details currently stored in the panel and registers them
     123# as a support ticket on the hosting hub site.  Pops up a panel
     124# during the process and informs the user of the result.
     125# ----------------------------------------------------------------------
     126proc Rappture::bugreport::submit {} {
     127    set info [.bugreport.details.info.text get 1.0 end]
     128
     129    pack forget .bugreport.details
     130    pack .bugreport.ok -side bottom -after .bugreport.banner -pady {0 8}
     131    pack .bugreport.xmit -after .bugreport.ok -padx 8 -pady 8
     132    .bugreport.xmit.title configure -text "Sending trouble report to [Rappture::Tool::resources -hubname]..."
     133    focus .bugreport.ok
     134
     135    # send off the trouble report...
     136    .bugreport.xmit.icon start
     137    set status [catch {register $info} result]
     138    .bugreport.xmit.icon stop
     139
     140    pack forget .bugreport.xmit
     141    pack .bugreport.expl -after .bugreport.ok -padx 8 -pady 8
     142    .bugreport.expl configure -state normal
     143    .bugreport.expl delete 1.0 end
     144
     145    # handle the result
     146    if {$status != 0} {
     147        # add error to the details field, so we can see it with magic clicks
     148        .bugreport.details.info.text configure -state normal
     149        .bugreport.details.info.text insert 1.0 "Ticket submission failed:\n$result\n-----\n"
     150        .bugreport.details.info.text configure -state disabled
     151
     152        .bugreport.expl insert end "This tool encountered an unexpected error.  We tried to submit a trouble report automatically, but that failed.  If you want to report this incident, you can file your own trouble report.  Look for the \"Help\" or \"Support\" links on the main navigation bar of the web site.\n\nIf you continue having trouble with this tool, please close it and launch another session."
     153    } elseif {[regexp {Ticket #([0-9]+) +\((.*?)\) +([0-9]+) +times} $result match ticket extra times]} {
     154        .bugreport.expl insert end "This tool encountered an unexpected error.  The problem has been reported as " "" "Ticket #$ticket" bold " in our system." ""
     155        if {[string is integer $times] && $times > 1} {
     156            .bugreport.expl insert end "  This particular problem has been reported $times times."
     157        }
     158        .bugreport.expl insert end "\n\nIf you continue having trouble with this tool, please close it and launch another session."
     159    } else {
     160        .bugreport.expl insert end "This tool encountered an unexpected error, and the problem was reported.  Here is the response from the hub, which may contain information about your ticket:\n" "" $result bold "\n\nIf you continue having trouble with this tool, please close it and launch another session." ""
     161    }
     162    for {set h 1} {$h < 50} {incr h} {
     163        .bugreport.expl configure -height $h
     164        .bugreport.expl see 1.0
     165        update idletasks
     166        if {"" != [.bugreport.expl bbox end-1char]} {
     167            break
     168        }
     169    }
     170    .bugreport.expl configure -state disabled
     171}
     172
     173# ----------------------------------------------------------------------
     174# USAGE: download
     175#
     176# Used to download the current ticket information to the user's
     177# desktop.
     178# ----------------------------------------------------------------------
     179proc Rappture::bugreport::download {} {
     180    if {[Rappture::filexfer::enabled]} {
     181        set info [.bugreport.details.info.text get 1.0 end]
     182        Rappture::filexfer::download $info bugreport.txt
     183    }
     184}
     185
     186# ----------------------------------------------------------------------
     187# USAGE: register <stackTrace>
     188#
     189# Low-level function used to send bug reports back to the hub site.
     190# Error details in the <stackTrace> are posted to a URL that creates
     191# a support ticket.  Returns a string of the following form,
     192# representing details about the new or existing ticket:
     193#   Ticket #XX (XXXXXX) XX times
     194# ----------------------------------------------------------------------
     195proc Rappture::bugreport::register {stackTrace} {
     196    global env tcl_platform
     197
     198    # if this is a test version, do nothing
     199    if {![info exists env(RAPPTURE_VERSION)]
     200          || $env(RAPPTURE_VERSION) != "current"} {
     201        return
     202    }
    85203
    86204    package require http
     
    98216        set summary "[string range $summary 0 50]..."
    99217    }
    100     append summary " (in tool \"[Rappture::Tool::get -name]\")"
     218    append summary " (in tool \"[Rappture::Tool::resources -appname]\")"
     219
     220    # make sure that the stack trace isn't too long
     221    if {[string length $stackTrace] > 20000} {
     222        set stackTrace "[string range $stackTrace 0 20000]..."
     223    }
    101224
    102225    set query [http::formatQuery \
     
    104227        task create \
    105228        no_html 1 \
    106         report $stackTrace
     229        report $stackTrace \
    107230        login $tcl_platform(user) \
    108         email "" \
     231        session [Rappture::Tool::resources -session] \
    109232        hostname [info hostname] \
    110233        category rappture \
    111234        summary $summary \
    112         referrer "tool \"[Rappture::Tool::get -name]\"" \
     235        referrer "tool \"[Rappture::Tool::resources -appname]\"" \
    113236    ]
    114 
    115 puts "avoid hard-coded web site URL!"
    116     set url https://zooley.nanohub.org/index2.php
    117     set token [http::geturl $url -query $query]
    118 
    119     if {[http::ncode] != 200} {
    120         error [http::code]
     237   
     238    set url [Rappture::Tool::resources -huburl]
     239    if {[string index $url end] == "/"} {
     240        append url "index2.php"
     241    } else {
     242        append url "/index2.php"
     243    }
     244
     245    set token [http::geturl $url -query $query -timeout 60000]
     246
     247    if {[http::ncode $token] != 200} {
     248        error [http::code $token]
    121249    }
    122250    upvar #0 $token rval
    123     if {[regexp {Ticket #[0-9]+ \((.*:?)\) [0-9]+ times} $rval(body) match]} {
     251    if {[regexp {Ticket #[0-9]+ \(.*?\) [0-9]+ times} $rval(body) match]} {
    124252        return $match
    125253    }
     
    141269pack .bugreport.banner.title -side left -padx {0 8} -pady 2
    142270
    143 button .bugreport.ok -text "OK" -command Rappture::bugreport::deactivate
     271# add these frustration bindings in case the "Dismiss" button is off screen
     272bind .bugreport.banner.icon <Double-ButtonPress-1> \
     273    Rappture::bugreport::deactivate
     274bind .bugreport.banner.title <Double-ButtonPress-1> \
     275    Rappture::bugreport::deactivate
     276
     277button .bugreport.ok -text "Dismiss" -command Rappture::bugreport::deactivate
    144278pack .bugreport.ok -side bottom -pady {0 8}
    145279
    146 label .bugreport.expl -text "You've found a bug in this application.\n\nIf it's not a serious bug, you may be able to continue using the tool.  But if the tool doesn't seem to behave properly after this, please close this session and start the tool again.\n\nYou can help us improve nanoHUB by reporting this error.  Click on the \"Report Problems\" link in the web page containing this tool session, and tell us what you were doing when the error occurred." -justify left
    147 pack .bugreport.expl -padx 8 -pady 8
     280frame .bugreport.xmit
     281Rappture::Animicon .bugreport.xmit.icon -images {
     282    circle-ball1 circle-ball2 circle-ball3 circle-ball4
     283    circle-ball5 circle-ball6 circle-ball7 circle-ball8
     284}
     285pack .bugreport.xmit.icon -side left
     286label .bugreport.xmit.title -anchor w
     287pack .bugreport.xmit.title -side left -expand yes -fill x
     288
     289text .bugreport.expl -borderwidth 0 -highlightthickness 0 -wrap word
     290.bugreport.expl tag configure bold \
     291    -font [option get .bugreport.expl boldFont Font]
    148292
    149293bind .bugreport.expl <Control-1><Control-1><Control-3><Control-3> {
    150     pack forget .bugreport.expl
    151     pack .bugreport.details -after .bugreport.ok \
    152         -expand yes -fill both -padx 8 -pady 8
     294    Rappture::bugreport::activate @SHOWDETAILS
    153295}
    154296
    155297bind .bugreport.expl <Control-1><Control-1><Control-Shift-1><Control-Shift-1> {
    156     pack forget .bugreport.expl
    157     pack .bugreport.details -after .bugreport.ok \
    158         -expand yes -fill both -padx 8 -pady 8
    159 }
    160 
    161 Rappture::Scroller .bugreport.details -xscrollmode auto -yscrollmode auto
    162 text .bugreport.details.text -wrap none
    163 .bugreport.details contents .bugreport.details.text
     298    Rappture::bugreport::activate @SHOWDETAILS
     299}
     300
     301frame .bugreport.details
     302frame .bugreport.details.cntls
     303pack .bugreport.details.cntls -side bottom -fill x
     304button .bugreport.details.cntls.ok -text "Dismiss" -command {
     305    Rappture::bugreport::deactivate
     306}
     307pack .bugreport.details.cntls.ok -side right -padx 2 -pady 4
     308button .bugreport.details.cntls.send -text "Send Trouble Report" -command {
     309    Rappture::bugreport::submit
     310}
     311pack .bugreport.details.cntls.send -side left -padx 2 -pady 4
     312button .bugreport.details.cntls.dload -text "Download" -command {
     313    Rappture::bugreport::download
     314}
     315pack .bugreport.details.cntls.dload -side left -padx 2 -pady 4
     316
     317Rappture::Scroller .bugreport.details.info -xscrollmode auto -yscrollmode auto
     318text .bugreport.details.info.text -width 50 -height 15 -wrap none
     319.bugreport.details.info contents .bugreport.details.info.text
     320pack .bugreport.details.info -expand yes -fill both
    164321
    165322# this binding keeps the bugreport window on top
  • trunk/gui/scripts/loader.tcl

    r681 r724  
    305305    if {$obj == "@upload"} {
    306306        if {[Rappture::filexfer::enabled]} {
    307             set tool [[$_owner tool] get -name]
     307            set tool [Rappture::Tool::resources -appname]
    308308            Rappture::filexfer::upload \
    309309                $tool $_uppath [itcl::code $this _uploadValue]
  • trunk/gui/scripts/textentry.tcl

    r702 r724  
    474474    switch -- $opt {
    475475        -start {
    476             set tool [[$_owner tool] get -name]
     476            set tool [Rappture::Tool::resources -appname]
    477477            set cntls [list $_path [label] [tooltip]]
    478478            Rappture::filexfer::upload \
  • trunk/gui/scripts/tool.tcl

    r680 r724  
    2424    } { # defined below }
    2525
    26     public method get {{option ""}}
    2726    public method installdir {} { return $_installdir }
    2827
     
    3736    private common jobnum 0          ;# counter for unique job number
    3837
    39     # resources file tells us the application name
    40     public common _appname ""
    41     public proc setAppName {name} { set _appname $name }
     38    # get global resources for this tool session
     39    public proc resources {{option ""}}
     40
     41    public common _resources
     42    public proc setAppName {name} { set _resources(-appname) $name }
     43    public proc setHubName {name} { set _resources(-hubname) $name }
     44    public proc setHubURL {name}  { set _resources(-huburl) $name }
     45    public proc setSession {name} { set _resources(-session) $name }
    4246}
    4347
     
    4549proc tool_init_resources {} {
    4650    Rappture::resources::register \
    47         application_name Rappture::Tool::setAppName
     51        application_name Rappture::Tool::setAppName \
     52        application_id   Rappture::Tool::setAppId \
     53        hub_name         Rappture::Tool::setHubName \
     54        hub_url          Rappture::Tool::setHubURL \
     55        session_token    Rappture::Tool::setSession
    4856}
    4957                                                                               
     
    6674
    6775# ----------------------------------------------------------------------
    68 # USAGE: get ?-option?
     76# USAGE: resources ?-option?
    6977#
    7078# Clients use this to query information about the tool.
    7179# ----------------------------------------------------------------------
    72 itcl::body Rappture::Tool::get {{option ""}} {
    73     set values(-name) $_appname
     80itcl::body Rappture::Tool::resources {{option ""}} {
    7481    if {$option == ""} {
    75         return [array get values]
    76     }
    77     if {![info exists values]} {
    78         error "bad option \"$option\": should be [join [array names values] {, }]"
    79     }
    80     return $values($option)
     82        return [array get _resources]
     83    }
     84    if {![info exists _resources($option)]} {
     85        error "bad option \"$option\": should be [join [array names _resources] {, }]"
     86    }
     87    return $_resources($option)
    8188}
    8289
     
    114121    # tool name from the resources config file.
    115122    #
    116     if {"" != $_appname && "" == [$_xmlobj get tool.name]} {
    117         $_xmlobj put tool.name $_appname
     123    if {"" != $_resources(-appname) && "" == [$_xmlobj get tool.name]} {
     124        $_xmlobj put tool.name $_resources(-appname)
    118125    }
    119126
Note: See TracChangeset for help on using the changeset viewer.